View Issue Details

IDProjectCategoryView StatusLast Update
0032624Open CASCADEOCCT:Configurationpublic2022-03-25 14:20
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytweak 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032624: Configuration, genproj - add support for VS 2022 / vc143
DescriptionIt is desired supporting Visual Studio 2022 / vc143 configuration within genproj tool.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032625 closedbugmaster Coding Rules - eliminate VS 2022 IntelliSense warnings 
child of 0032888 newbugmaster Configuration - Visual Studio 2022 bugs 

Activities

git

2021-10-15 21:30

administrator   ~0104656

Branch CR32624 has been created by kgv.

SHA-1: 12a5df2daadbd3321c62766f939596041c69ef3d


Detailed log of new commits:

Author: kgv
Date: Fri Oct 15 11:29:43 2021 -0700

    0032624: Configuration, genproj - add support for VS 2022 / vc143

kgv

2021-10-15 21:57

developer   ~0104658

Please raise the patch
- OCCT: branch CR32624.

smoskvin

2021-10-23 16:59

administrator   ~0104807

Combination -
OCCT branch : IR-2021-10-22
master SHA - 5b756182c269a3d4fc19b82fe8527f0fcabf5c57
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-22 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17750.01000000046 / 17700.080000000395 [+0.28%]
Products
Total CPU difference: 11624.980000000118 / 11665.940000000111 [-0.35%]
Windows-64-VC14:
OCCT
---
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105884

Branch CR32624 has been deleted by kgv.

SHA-1: 12a5df2daadbd3321c62766f939596041c69ef3d

Related Changesets

occt: master 4e2151f6

2021-10-15 18:29:43

kgv


Committer: smoskvin Details Diff
0032624: Configuration, genproj - add support for VS 2022 / vc143 Affected Issues
0032624
mod - adm/genconf.tcl Diff File
mod - adm/genproj.tcl Diff File
mod - adm/templates/env.bat Diff File

Issue History

Date Modified Username Field Change
2021-10-15 21:00 kgv New Issue
2021-10-15 21:00 kgv Assigned To => kgv
2021-10-15 21:16 kgv Relationship added related to 0032625
2021-10-15 21:30 git Note Added: 0104656
2021-10-15 21:57 kgv Test case number => N/A
2021-10-15 21:57 kgv Note Added: 0104658
2021-10-15 21:57 kgv Assigned To kgv => bugmaster
2021-10-15 21:57 kgv Severity feature => tweak
2021-10-15 21:57 kgv Status new => resolved
2021-10-15 21:57 kgv Status resolved => reviewed
2021-10-23 16:59 smoskvin Note Added: 0104807
2021-10-23 16:59 smoskvin Status reviewed => tested
2021-10-23 20:49 smoskvin Changeset attached => occt master 4e2151f6
2021-10-23 20:49 smoskvin Assigned To bugmaster => smoskvin
2021-10-23 20:49 smoskvin Status tested => verified
2021-10-23 20:49 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105884
2022-03-25 14:20 kgv Relationship added child of 0032888